OpenVDB: TriquadraticSampler< TreeOrAccT > Class Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
TriquadraticSampler< TreeOrAccT > Class Template Reference

Tri-quadratic sampler, i.e. second order, interpolator. More...

`#include <nanovdb/util/SampleFromVoxels.h>`

Inheritance diagram for TriquadraticSampler< TreeOrAccT >:

## Public Types
using | ValueT = typename TreeOrAccT::ValueType
using | CoordT = typename TreeOrAccT::CoordType

## Public Member Functions
| TriquadraticSampler (const TreeOrAccT &acc)
| Protected constructor from a Tree or ReadAccessor.
const TreeOrAccT & | accessor () const
void | stencil (const CoordT &ijk, ValueT(&v)[3][3][3]) const
| Extract the stencil of 27 values.
template<typename RealT , template< typename... > class Vec3T>
TreeOrAccT::ValueType | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[3][3][3])

## Static Public Member Functions
template<typename RealT , template< typename... > class Vec3T>
static ValueT | sample (const Vec3T< RealT > &uvw, const ValueT(&v)[3][3][3])
static bool | zeroCrossing (const ValueT(&v)[3][3][3])

## Static Public Attributes
static const int | ORDER = 1

## Protected Attributes
const TreeOrAccT & | mAcc

## Detailed Description

template<typename TreeOrAccT>
class nanovdb::TriquadraticSampler< TreeOrAccT >

Tri-quadratic sampler, i.e. second order, interpolator.

## Member Typedef Documentation

## ◆ CoordT

template<typename TreeOrAccT >

using CoordT = typename TreeOrAccT::CoordType

## ◆ ValueT

template<typename TreeOrAccT >

using ValueT = typename TreeOrAccT::ValueType

## Constructor & Destructor Documentation

## ◆ TriquadraticSampler()

template<typename TreeOrAccT >

TriquadraticSampler | ( | const TreeOrAccT & | acc | ) |
| inline

Protected constructor from a Tree or ReadAccessor.

## Member Function Documentation

## ◆ accessor()

template<typename TreeOrAccT >

const TreeOrAccT & accessor | ( |  | ) | const
| inline

## ◆ sample() [1/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

static ValueT sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[3][3][3]
| ) |  |
| inlinestatic

## ◆ sample() [2/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

TreeOrAccT::ValueType sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | v[3][3][3]
| ) |  |

## ◆ stencil()

template<typename TreeOrAccT >

void stencil | ( | const CoordT & | ijk,
|  | ValueT(&) | v[3][3][3]
| ) |  | const
| inline

Extract the stencil of 27 values.

## ◆ zeroCrossing()

template<typename TreeOrAccT >

bool zeroCrossing | ( | const ValueT(&) | v[3][3][3] | ) |
| inlinestatic

## Member Data Documentation

## ◆ mAcc

template<typename TreeOrAccT >

const TreeOrAccT& mAcc
| protected

## ◆ ORDER

template<typename TreeOrAccT >

const int ORDER = 1
| static